import { createApp } from 'vue'
import App from './App.vue'
import router from "./router/index.js";
import store from "./store/index.js";
import i18n from "./i18n/index.js";
import * as ElIcons from "@element-plus/icons-vue";
import 'normalize.css/normalize.css'
import "./mock"

const app = createApp(App);

for (const name in ElIcons){
    app.component(name, ElIcons[name]);
}

app.use(router).use(store).use(i18n).mount('#app')
