import { createI18n } from 'vue-i18n'
import localZhCn from './language/zh-cn.js'
import localEn from './language/en.js'
import zhCn from "element-plus/es/locale/lang/zh-cn";
import en from "element-plus/es/locale/lang/en"

const i18n = createI18n({
    legacy: false,
    locale: 'zh-cn',
    fallbackLocale: 'zhn-cn',
    messages: {
        'zh-cn': localZhCn,
        'en': localEn,
    }
})
export default i18n

export const elementLocales = {
    'zh-cn': zhCn,
    en
}